Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.monitor
Interface MonitorSetting

    public interface MonitorSetting

Method Summary
`long` | `getClusterMonitorRefreshInterval()` Gets the value for Cluster Monitor Refresh Interval.
`int` | `getMonitorMaxMinuteSaveReport()` Gets the value for the Maximum time (minute) to Save Reports.
`int` | `getMonitorMaxNumberSaveReport()` Gets the value for the Maximum Number of Saved Reports.
`int` | `getMonitorNumberSaveReport()` Gets the value for the Number of Saved Reports.
`long` | `getMonitorOverTimeRunning()` Gets the value for defining Over Time Running.
`long` | `getMonitorRefreshInterval()` Gets the value for server Monitor Refresh Interval.
`void` | `setClusterMonitorRefreshInterval(long ss)` Sets value for Cluster Monitor Refresh Interval.
`void` | `setMonitorMaxMinuteSaveReport(int ss)` Sets value for the Maximum time (minute) to Save Reports.
`void` | `setMonitorMaxNumberSaveReport(int ss)` Sets value for the Maximum Number of Saved Reports.
`void` | `setMonitorNumberSaveReport(int ss)` Sets value for the Number of Saved Reports.
`void` | `setMonitorOverTimeRunning(long ss)` Sets value for defining Over Time Running.
`void` | `setMonitorRefreshInterval(long ss)` Sets value for server Monitor Refresh Interval.

Method Detail

### getClusterMonitorRefreshInterval

    long getClusterMonitorRefreshInterval()

  Gets the value for Cluster Monitor Refresh Interval.

  Returns:
    long value for Cluster Monitor Refresh Interval.

### getMonitorRefreshInterval

    long getMonitorRefreshInterval()

  Gets the value for server Monitor Refresh Interval.

  Returns:
    long value for server Monitor Refresh Interval.

### getMonitorOverTimeRunning

    long getMonitorOverTimeRunning()

  Gets the value for defining Over Time Running.

  Returns:
    long value for defining Over Time Running.

### getMonitorMaxNumberSaveReport

    int getMonitorMaxNumberSaveReport()

  Gets the value for the Maximum Number of Saved Reports.

  Returns:
    int value for the Maximum Number of Saved Reports.

### getMonitorNumberSaveReport

    int getMonitorNumberSaveReport()

  Gets the value for the Number of Saved Reports.

  Returns:
    int value for the Number of Saved Reports.

### getMonitorMaxMinuteSaveReport

    int getMonitorMaxMinuteSaveReport()

  Gets the value for the Maximum time (minute) to Save Reports.

  Returns:
    int value for the Maximum time (minute) to Save Reports.

### setClusterMonitorRefreshInterval

    void setClusterMonitorRefreshInterval(long ss)

  Sets value for Cluster Monitor Refresh Interval.

  Parameters:
    `long` - value for Cluster Monitor Refresh Interval.

### setMonitorRefreshInterval

    void setMonitorRefreshInterval(long ss)

  Sets value for server Monitor Refresh Interval.

  Parameters:
    `long` - value for server Monitor Refresh Interval.

### setMonitorOverTimeRunning

    void setMonitorOverTimeRunning(long ss)

  Sets value for defining Over Time Running.

  Parameters:
    `long` - value for defining Over Time Running.

### setMonitorNumberSaveReport

    void setMonitorNumberSaveReport(int ss)

  Sets value for the Number of Saved Reports.

  Parameters:
    `int` - value for the Number of Saved Reports.

### setMonitorMaxNumberSaveReport

    void setMonitorMaxNumberSaveReport(int ss)

  Sets value for the Maximum Number of Saved Reports.

  Parameters:
    `int` - value for the Maximum Number of Saved Reports.

### setMonitorMaxMinuteSaveReport

    void setMonitorMaxMinuteSaveReport(int ss)

  Sets value for the Maximum time (minute) to Save Reports.

  Parameters:
    `int` - value for the Maximum time (minute) to Save Reports.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD